﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class EquipBensDataSet : DataSet
    {

        private EQUIPBENSDataTable tableEQUIPBENS;

        public EquipBensDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected EquipBensDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["EQUIPBENS"] != null))
                {
                    this.Tables.Add(new EQUIPBENSDataTable(ds.Tables["EQUIPBENS"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public EQUIPBENSDataTable EQUIPBENS
        {
            get
            {
                return this.tableEQUIPBENS;
            }
        }

        public override DataSet Clone()
        {
            EquipBensDataSet cln = ((EquipBensDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["EQUIPBENS"] != null))
            {
                this.Tables.Add(new EQUIPBENSDataTable(ds.Tables["EQUIPBENS"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tableEQUIPBENS = ((EQUIPBENSDataTable)(this.Tables["EQUIPBENS"]));
            if ((this.tableEQUIPBENS != null))
            {
                this.tableEQUIPBENS.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "EquipBensDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/EquipBensDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableEQUIPBENS = new EQUIPBENSDataTable();
            this.Tables.Add(this.tableEQUIPBENS);
        }

        private bool ShouldSerializeEQUIPBENS()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void EQUIPBENSRowChangeEventHandler(object sender, EQUIPBENSRowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class EQUIPBENSDataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnCODIGO_ESTACAO;

            private DataColumn columnCODIGO_EQUIPAMENTO;

            private DataColumn columnCODIGO_FAMILIA;

            private DataColumn columnNOME_EQUIPAMENTO;

            private DataColumn columnNOME_ESTACAO;

            private DataColumn columnTAG_ESTACAO;

            internal EQUIPBENSDataTable() :
                    base("EQUIPBENS")
            {
                this.InitClass();
            }

            internal EQUIPBENSDataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn CODIGO_ESTACAOColumn
            {
                get
                {
                    return this.columnCODIGO_ESTACAO;
                }
            }

            internal DataColumn CODIGO_EQUIPAMENTOColumn
            {
                get
                {
                    return this.columnCODIGO_EQUIPAMENTO;
                }
            }

            internal DataColumn CODIGO_FAMILIAColumn
            {
                get
                {
                    return this.columnCODIGO_FAMILIA;
                }
            }

            internal DataColumn NOME_EQUIPAMENTOColumn
            {
                get
                {
                    return this.columnNOME_EQUIPAMENTO;
                }
            }

            internal DataColumn NOME_ESTACAOColumn
            {
                get
                {
                    return this.columnNOME_ESTACAO;
                }
            }

            internal DataColumn TAG_ESTACAOColumn
            {
                get
                {
                    return this.columnTAG_ESTACAO;
                }
            }

            public EQUIPBENSRow this[int index]
            {
                get
                {
                    return ((EQUIPBENSRow)(this.Rows[index]));
                }
            }

            public event EQUIPBENSRowChangeEventHandler EQUIPBENSRowChanged;

            public event EQUIPBENSRowChangeEventHandler EQUIPBENSRowChanging;

            public event EQUIPBENSRowChangeEventHandler EQUIPBENSRowDeleted;

            public event EQUIPBENSRowChangeEventHandler EQUIPBENSRowDeleting;

            public void AddEQUIPBENSRow(EQUIPBENSRow row)
            {
                this.Rows.Add(row);
            }

            public EQUIPBENSRow AddEQUIPBENSRow(string CODIGO_ESTACAO, string CODIGO_EQUIPAMENTO, string CODIGO_FAMILIA, string NOME_EQUIPAMENTO, string NOME_ESTACAO, string TAG_ESTACAO)
            {
                EQUIPBENSRow rowEQUIPBENSRow = ((EQUIPBENSRow)(this.NewRow()));
                rowEQUIPBENSRow.ItemArray = new object[] {
                        CODIGO_ESTACAO,
                        CODIGO_EQUIPAMENTO,
                        CODIGO_FAMILIA,
                        NOME_EQUIPAMENTO,
                        NOME_ESTACAO,
                        TAG_ESTACAO};
                this.Rows.Add(rowEQUIPBENSRow);
                return rowEQUIPBENSRow;
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                EQUIPBENSDataTable cln = ((EQUIPBENSDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new EQUIPBENSDataTable();
            }

            internal void InitVars()
            {
                this.columnCODIGO_ESTACAO = this.Columns["CODIGO_ESTACAO"];
                this.columnCODIGO_EQUIPAMENTO = this.Columns["CODIGO_EQUIPAMENTO"];
                this.columnCODIGO_FAMILIA = this.Columns["CODIGO_FAMILIA"];
                this.columnNOME_EQUIPAMENTO = this.Columns["NOME_EQUIPAMENTO"];
                this.columnNOME_ESTACAO = this.Columns["NOME_ESTACAO"];
                this.columnTAG_ESTACAO = this.Columns["TAG_ESTACAO"];
            }

            private void InitClass()
            {
                this.columnCODIGO_ESTACAO = new DataColumn("CODIGO_ESTACAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_ESTACAO);
                this.columnCODIGO_EQUIPAMENTO = new DataColumn("CODIGO_EQUIPAMENTO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_EQUIPAMENTO);
                this.columnCODIGO_FAMILIA = new DataColumn("CODIGO_FAMILIA", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_FAMILIA);
                this.columnNOME_EQUIPAMENTO = new DataColumn("NOME_EQUIPAMENTO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnNOME_EQUIPAMENTO);
                this.columnNOME_ESTACAO = new DataColumn("NOME_ESTACAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnNOME_ESTACAO);
                this.columnTAG_ESTACAO = new DataColumn("TAG_ESTACAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTAG_ESTACAO);
            }

            public EQUIPBENSRow NewEQUIPBENSRow()
            {
                return ((EQUIPBENSRow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new EQUIPBENSRow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(EQUIPBENSRow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.EQUIPBENSRowChanged != null))
                {
                    this.EQUIPBENSRowChanged(this, new EQUIPBENSRowChangeEvent(((EQUIPBENSRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.EQUIPBENSRowChanging != null))
                {
                    this.EQUIPBENSRowChanging(this, new EQUIPBENSRowChangeEvent(((EQUIPBENSRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.EQUIPBENSRowDeleted != null))
                {
                    this.EQUIPBENSRowDeleted(this, new EQUIPBENSRowChangeEvent(((EQUIPBENSRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.EQUIPBENSRowDeleting != null))
                {
                    this.EQUIPBENSRowDeleting(this, new EQUIPBENSRowChangeEvent(((EQUIPBENSRow)(e.Row)), e.Action));
                }
            }

            public void RemoveEQUIPBENSRow(EQUIPBENSRow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class EQUIPBENSRow : DataRow
        {

            private EQUIPBENSDataTable tableEQUIPBENS;

            internal EQUIPBENSRow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tableEQUIPBENS = ((EQUIPBENSDataTable)(this.Table));
            }

            public string CODIGO_ESTACAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableEQUIPBENS.CODIGO_ESTACAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableEQUIPBENS.CODIGO_ESTACAOColumn] = value;
                }
            }

            public string CODIGO_EQUIPAMENTO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableEQUIPBENS.CODIGO_EQUIPAMENTOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableEQUIPBENS.CODIGO_EQUIPAMENTOColumn] = value;
                }
            }

            public string CODIGO_FAMILIA
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableEQUIPBENS.CODIGO_FAMILIAColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableEQUIPBENS.CODIGO_FAMILIAColumn] = value;
                }
            }

            public string NOME_EQUIPAMENTO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableEQUIPBENS.NOME_EQUIPAMENTOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableEQUIPBENS.NOME_EQUIPAMENTOColumn] = value;
                }
            }

            public string NOME_ESTACAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableEQUIPBENS.NOME_ESTACAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableEQUIPBENS.NOME_ESTACAOColumn] = value;
                }
            }

            public string TAG_ESTACAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableEQUIPBENS.TAG_ESTACAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableEQUIPBENS.TAG_ESTACAOColumn] = value;
                }
            }

            public bool IsCODIGO_ESTACAONull()
            {
                return this.IsNull(this.tableEQUIPBENS.CODIGO_ESTACAOColumn);
            }

            public void SetCODIGO_ESTACAONull()
            {
                this[this.tableEQUIPBENS.CODIGO_ESTACAOColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_EQUIPAMENTONull()
            {
                return this.IsNull(this.tableEQUIPBENS.CODIGO_EQUIPAMENTOColumn);
            }

            public void SetCODIGO_EQUIPAMENTONull()
            {
                this[this.tableEQUIPBENS.CODIGO_EQUIPAMENTOColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_FAMILIANull()
            {
                return this.IsNull(this.tableEQUIPBENS.CODIGO_FAMILIAColumn);
            }

            public void SetCODIGO_FAMILIANull()
            {
                this[this.tableEQUIPBENS.CODIGO_FAMILIAColumn] = System.Convert.DBNull;
            }

            public bool IsNOME_EQUIPAMENTONull()
            {
                return this.IsNull(this.tableEQUIPBENS.NOME_EQUIPAMENTOColumn);
            }

            public void SetNOME_EQUIPAMENTONull()
            {
                this[this.tableEQUIPBENS.NOME_EQUIPAMENTOColumn] = System.Convert.DBNull;
            }

            public bool IsNOME_ESTACAONull()
            {
                return this.IsNull(this.tableEQUIPBENS.NOME_ESTACAOColumn);
            }

            public void SetNOME_ESTACAONull()
            {
                this[this.tableEQUIPBENS.NOME_ESTACAOColumn] = System.Convert.DBNull;
            }

            public bool IsTAG_ESTACAONull()
            {
                return this.IsNull(this.tableEQUIPBENS.TAG_ESTACAOColumn);
            }

            public void SetTAG_ESTACAONull()
            {
                this[this.tableEQUIPBENS.TAG_ESTACAOColumn] = System.Convert.DBNull;
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class EQUIPBENSRowChangeEvent : EventArgs
        {

            private EQUIPBENSRow eventRow;

            private DataRowAction eventAction;

            public EQUIPBENSRowChangeEvent(EQUIPBENSRow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public EQUIPBENSRow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
